# SXP Reference

getNextSibling | Callbacks

#### Syntax

         getNextSibling(node)

Name | Type | Description
--- | --- | ---
`node` | `SXP_Node` | The node to operate on.
`(RET)` | `SXP_Node` | The next sibling of the node.

#### Description

Returns the following sibling of the node, in document order. If there is no such sibling, returns NULL. If the node is an attribute or a namespace node, NULL is returned.

#### Notes

In the early versions of the SXP, `getNextSibling` acted like `getNextAttrNS` when used on attributes and namespace nodes.

#### See Also

Groups | [ Callbacks ]
Entries | [ SXP_Node | getNextAttrNS ]

© 2001-2003 Ginger Alliance
revision 03-01-31
This page was generated by APIDOC